NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
libmySQL.dll problems - replacing file not working


Joined: 11 Oct 2009
Posts: 6
Reply with quote
I have read the posts concerning this issue on the nusphere forums. However, I am having a problem making the solutions work for me. I am taking my copy of libmySQL.dll from [C:\Program Files\MySQL\MySQL Server 5.0\bin], however when I replace the file I get the message that PHP Ed has stopped working - reinstalling might correct the problem. Of course, when I put the original libmySQL.dll back in place, i get the "client does not support authentication" error.

I am running vista business - 64 bit. Could that be the problem?

I downloaded the latest 64 bit libmySQL.dll file from mysql.com as well, and I get the same results.

Help! I have just drowned in over 4 hours of trying to get my db client to work within NuSphere, and now I am search of the boat.

Thanks in advance for your ideas.

R Bryan Davis
View user's profileFind all posts by bdavis2007Send private message
Veteran

Joined: 06 Jun 2007
Posts: 289
Location: Vancouver, Canada
Reply with quote
I am using the libmySQL.dll from the 64-bit version of MySQL Server 5.1 with PhpED 5.8 without any problem. The only difference I see with respect to your MySQL Server installation is that you are using version 5.0 and I am using version 5.1. Other than trying a newer version of MySQL Server, I do not really have any advice for you.

_________________
Smile
View user's profileFind all posts by annoSend private messageVisit poster's website
libmySQL.dll


Joined: 11 Oct 2009
Posts: 6
Reply with quote
Actually in my case, I am using PHPEd 5.9 and mySQL 5.0. I believe you wrote 5.8. When I was using version 5.8 phped, i was not having a problem as well. Any thoughts anyone?
View user's profileFind all posts by bdavis2007Send private message
Veteran

Joined: 06 Jun 2007
Posts: 289
Location: Vancouver, Canada
Reply with quote
I upgraded to PhpED 5.9 build 5916 today Very Happy The libmySQL.dll from the 64-bit version of MySQL Server 5.1 still works fine for me.

_________________
Smile
View user's profileFind all posts by annoSend private messageVisit poster's website
your copy of libmySQL.dll


Joined: 11 Oct 2009
Posts: 6
Reply with quote
can you send me a copy of your libmySQL.dll file?
View user's profileFind all posts by bdavis2007Send private message
Veteran

Joined: 06 Jun 2007
Posts: 289
Location: Vancouver, Canada
Reply with quote
Have sent you PM with download link Wink

_________________
Smile
View user's profileFind all posts by annoSend private messageVisit poster's website
The application failed to initialize properly (0xc000007b)..


Joined: 11 Oct 2009
Posts: 6
Reply with quote
I didn't use the file you sent me. I uninstalled my version of mySQL (5.0x) and installed mySQL 5.1. I used the libmySQL.dll file from the installation.

Now I get this error when starting nuSphere phpED.exe

"The application failed to initialize properly (0xc000007b). Click Ok to terminate the application."

If i replace the new dll with the dll shipped with nusphere phped.exe installation, phped.exe starts okay, but i cannot use the db in the right pane.

help"!!!
View user's profileFind all posts by bdavis2007Send private message
Veteran

Joined: 06 Jun 2007
Posts: 289
Location: Vancouver, Canada
Reply with quote
I have no further ideas, except asking Nusphere technical support for assistance. Sorry Crying or Very sad

_________________
Smile
View user's profileFind all posts by annoSend private messageVisit poster's website
Site Admin

Joined: 13 Jul 2003
Posts: 7881
Reply with quote
This issue has nothing to do with PhpED at all.
32bit application can load 64bit dll. You need 32bit dlls for your 32bit applications.
For the same reasons you need 32bit Shell Extensions if you expect them to work for 32bit applications.

Quote:
i get the "client does not support authentication" error.
I am running vista business - 64 bit. Could that be the problem?


No. You just need newer mysql client library. We'd distribute it with PhpED if mySQL license allowed us to do so.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 11 Oct 2009
Posts: 6
Reply with quote
Hi. Thanks Dmitri for your thoughts. I actually downloaded the latest version of mySQL and the libMYSQL.dll included with the download produced an error that killed the phpED (closed it out). The solution actually ended up being using the libMYSQL.dll delivered with the PHP installation.

RBD
View user's profileFind all posts by bdavis2007Send private message
Site Admin

Joined: 13 Jul 2003
Posts: 7881
Reply with quote
Code:
I actually downloaded the latest version of mySQL


"Latest" does not mean correct. If for example you try to ski down a mountain slope on summer, it won't work. Same goes to 64bit dll that you tried to use with 32bit application. You have to obtain "The Latest" 32bit dll in order to get it working with 32bit application.

_________________
The PHP IDE team
View user's profileFind all posts by dmitriSend private messageVisit poster's website


Joined: 11 Oct 2009
Posts: 6
Reply with quote
Thanks again.

When will PhpED move to 64 bit? Seems all new computers are 64 bit these days.
View user's profileFind all posts by bdavis2007Send private message
libmySQL.dll problems - replacing file not working
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic